=== debian/changelog ===
ros-humble-leo-fw (1.3.0-1jammy) jammy; urgency=high

  * Show which wheels failed when testing encoders or torque sensors
  * Update hw tests
  * Refactor test result printing
  * Add timeout for get_board_type and get_firmware_version services
  * Include newer firmware binaries
  * Use DirectNode in hardware tester
  * Update flash logic
  * Fix checking if uros agent is active when the service is disabled
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 11 Jan 2023 00:00:00 -0000

ros-humble-leo-fw (1.2.1-1jammy) jammy; urgency=high

  * Fix resolving firmware topic names in firmware_message_converter
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 30 Nov 2022 00:00:00 -0000

ros-humble-leo-fw (1.2.0-1jammy) jammy; urgency=high

  * Fix test_hw script
  * Update leocore firmware to version 1.0.1
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 21 Sep 2022 00:00:00 -0000

ros-humble-leo-fw (1.1.0-1jammy) jammy; urgency=high

  * Add IMU gyro calibration (#3 <https://github.com/LeoRover/leo_robot-ros2/issues/3>)
  * Contributors: Aleksander Szymański

 -- Fictionlab <support@fictionlab.pl>  Wed, 31 Aug 2022 00:00:00 -0000

ros-humble-leo-fw (1.0.1-1jammy) jammy; urgency=high

  * Add firmware binaries
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 10 Aug 2022 00:00:00 -0000

ros-humble-leo-fw (1.0.0-1jammy) jammy; urgency=high

  * Initial ROS2 port
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 10 Aug 2022 00:00:00 -0000
