## ros-humble-leo-fw 1.4.0

=== debian/changelog ===
ros-humble-leo-fw (1.4.0-1bookworm) bookworm; urgency=high

  * Update firmware binaries
  * Move ImuCalibrator node into leo_fw package (#8 <https://github.com/LeoRover/leo_robot-ros2/issues/8>)
  * Add firmware parameter bridge (#4 <https://github.com/LeoRover/leo_robot-ros2/issues/4>)
  * Sort dependencies in package.xml
  * Update copyright notices in source files
  * Use ament cmake tests via colcon (#7 <https://github.com/LeoRover/leo_robot-ros2/issues/7>)
  * Mecanum Wheel Odometry in firmware_message_converter (#5 <https://github.com/LeoRover/leo_robot-ros2/issues/5>)
  * Reformat code
  * Remove redundant imports from calibrate_imu script
  * Contributors: Aleksander Szymański, Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Tue, 14 Nov 2023 16:00:00 -0000

ros-humble-leo-fw (1.3.0-1bookworm) bookworm; urgency=high

  * Show which wheels failed when testing encoders or torque sensors
  * Update hw tests
  * Refactor test result printing
  * Add timeout for get_board_type and get_firmware_version services
  * Include newer firmware binaries
  * Use DirectNode in hardware tester
  * Update flash logic
  * Fix checking if uros agent is active when the service is disabled
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Tue, 10 Jan 2023 16:00:00 -0000

ros-humble-leo-fw (1.2.1-1bookworm) bookworm; urgency=high

  * Fix resolving firmware topic names in firmware_message_converter
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Tue, 29 Nov 2022 16:00:00 -0000

ros-humble-leo-fw (1.2.0-1bookworm) bookworm; urgency=high

  * Fix test_hw script
  * Update leocore firmware to version 1.0.1
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Tue, 20 Sep 2022 16:00:00 -0000

ros-humble-leo-fw (1.1.0-1bookworm) bookworm; urgency=high

  * Add IMU gyro calibration (#3 <https://github.com/LeoRover/leo_robot-ros2/issues/3>)
  * Contributors: Aleksander Szymański

 -- Fictionlab <support@fictionlab.pl>  Tue, 30 Aug 2022 16:00:00 -0000

ros-humble-leo-fw (1.0.1-1bookworm) bookworm; urgency=high

  * Add firmware binaries
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Tue, 09 Aug 2022 16:00:00 -0000

ros-humble-leo-fw (1.0.0-1bookworm) bookworm; urgency=high

  * Initial ROS2 port
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Tue, 09 Aug 2022 16:00:00 -0000
