=== debian/control ===
Source: ros-humble-leo-fw
Section: misc
Priority: optional
Maintainer: Fictionlab <support@fictionlab.pl>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-black <!nocheck>, ros-humble-ament-cmake-copyright <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-mypy <!nocheck>, ros-humble-ament-cmake-python, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-leo-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-ros-workspace
Homepage: http://wiki.ros.org/leo_fw
Standards-Version: 3.9.2

Package: ros-humble-leo-fw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dbus, python3-numpy, python3-whichcraft, python3-yaml, ros-humble-ament-index-python, ros-humble-geometry-msgs, ros-humble-leo-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rclpy, ros-humble-ros2cli, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Description: Binary releases of Leo Rover firmware and related utilities
